Каков правильный способ добавления easy_install-2.7 bin после успешной установки 3.3?

Python Easy Install не так-то просто. Инструкции от python.org предлагают команду, которая передает в версию python программу установки. Только после установки я узнал о easy_install и "Несколько версий Python". Я думал, что я был закрыт, потому что согласно этой странице easy_install должен поддерживать несколько версий python с помощью команды easy_install-xy

Глядя в каталог bin, у меня есть /usr/bin/easy_install-3.3 который работает для python3.3 и /usr/bin/easy_install который работает для... 3.3! Где easy_install-2.7? Очевидно, что он не был установлен, потому что на другой странице содержатся инструкции по простой установке для "загрузки соответствующей версии" для вашей установки python. Эти две инструкции противоречат друг другу.

Итак, что мне теперь делать?

1 ответ

Я предполагаю, что ваша среда "python" запускает команду python3.x. Если это так, easy_install устанавливается в выбранную версию python, поэтому, когда вы это сделали:

wget https://bitbucket.org/pypa/setuptools/raw/bootstrap/ez_setup.py -O - | python

вы, вероятно, должны были указать python2.7 следующим образом:

wget https://bitbucket.org/pypa/setuptools/raw/bootstrap/ez_setup.py -O - | python2.7

licensed under cc by-sa 3.0 with attribution.